﻿
.switch {
    position: relative !important;
    display: inline-block !important;
    width: 36px !important;
    height: 18px !important;
    flex-shrink: 0 !important;
}
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #eee; /* OFF = white */
    border: 1px solid #ccc; /* optional border so it's visible */
    transition: .4s;
}

    .slider:before {
        position: absolute;
        content: "";
        height: 14px;
        width: 14px;
        left: 2px;
        bottom: 2px;
        background-color: #666; /* knob color when OFF */
        transition: .4s;
    }

input:checked + .slider {
    background-color: #1e6b52; /* ON color */
    border: none;
}

    input:checked + .slider:before {
        background-color: #fff; /* knob becomes white on ON */
        transform: translateX(18px);
    }

.slider.round {
    border-radius: 18px;
}

    .slider.round:before {
        border-radius: 50%;
    }
